<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bussiness.mapper.BussinessBonusRecordsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bussinessBonusRecordsResultMap" type="org.springblade.modules.guosen.bussiness.entity.BussinessBonusRecords">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="bonus_account_id" property="bonusAccountId"/>
        <result column="bonus_account_name" property="bonusAccountName"/>
        <result column="rate" property="rate"/>
        <result column="price" property="price"/>
        <result column="bonus_status" property="bonusStatus"/>
        <result column="fail_reason" property="failReason"/>
        <result column="third_pay_log" property="thirdPayLog"/>
        <result column="freeze" property="freeze"/>
        <result column="third_order_no" property="thirdOrderNo"/>
        <result column="request_no" property="requestNo"/>
        <result column="user_info_id" property="userInfoId"/>
        <result column="transfer_order_id" property="transferOrderId"/>
        <result column="bussiness_id" property="bussinessId"/>
    </resultMap>


    <select id="selectBussinessBonusRecordsPage" resultMap="bussinessBonusRecordsResultMap">
        select * from cyzh_bussiness_bonus_records where is_deleted = 0
    </select>

</mapper>
